// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UUserDefinedEnum.h"
#include "Engine/UserDefinedEnum.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UUserDefinedEnum::SCW_UUserDefinedEnum(UUserDefinedEnum* InUserDefinedEnum) : SCW_UEnum(InUserDefinedEnum), UserDefinedEnum(InUserDefinedEnum)
{

}

UUserDefinedEnum* SCW_UUserDefinedEnum::ToUUserDefinedEnumRawPtr() const
{
	return UserDefinedEnum;
}

ISCW_UUserDefinedEnumPtr SCW_UUserDefinedEnum::ToUUserDefinedEnumPtr()
{
	return GetSharedThisAs<SCW_UUserDefinedEnum>();
}

ISCW_UUserDefinedEnumConstPtr SCW_UUserDefinedEnum::ToUUserDefinedEnumPtr() const
{
	return GetSharedThisAs<SCW_UUserDefinedEnum>();
}
